Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAOA.cpp File Reference

`#include "TAOC.h"`
`#include "TAOA.h"`
`#include "tao/Typecode.h"`
`#include "tao/Any_Impl_T.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for TAOA.cpp:

## Functions
void | operator<<= (CORBA::Any &_tao_any, const TAO::BufferingConstraint &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, TAO::BufferingConstraint *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, TAO::BufferingConstraint *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const TAO::BufferingConstraint *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, TAO::BufferingConstraintPolicy_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, TAO::BufferingConstraintPolicy_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, TAO::BufferingConstraintPolicy_ptr &_tao_elem)

## Function Documentation

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | TAO::BufferingConstraintPolicy_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | TAO::BufferingConstraintPolicy_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | TAO::BufferingConstraint * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const TAO::BufferingConstraint & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | TAO::BufferingConstraintPolicy_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const TAO::BufferingConstraint *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | TAO::BufferingConstraint *& | _tao_elem
| ) |